drop database OCAC
create database OCAC

connect to OCAC
update db cfg for OCAC using buffpage 5000
update db cfg for OCAC using logfilsiz 3072
update db cfg for OCAC using locklist 100
update db cfg for OCAC using maxlocks 50
update db cfg for OCAC using applheapsz 1024
update db cfg for OCAC using maxappls 200
update db cfg for OCAC using maxfilop 200
update db cfg for OCAC using dft_queryopt 2
update db cfg for OCAC using logbufsz 256
update db cfg for OCAC using seqdetect NO
update dbm cfg using aslheapsz 256
update dbm cfg using cpuspeed -1
select * from sysibm.sysbufferpools
alter bufferpool ibmdefaultbp size -1
select * from sysibm.sysbufferpools

CREATE TABLE ibmsf.Address (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, Addressee VARCHAR(64) FOR BIT DATA, AreaHdl CHAR(24) FOR BIT DATA, CountryHdl CHAR(24) FOR BIT DATA, EMailAddress VARCHAR(64) FOR BIT DATA, FaxNumber VARCHAR(64) FOR BIT DATA, LocaleInformation VARCHAR(64) FOR BIT DATA, PhoneNumber VARCHAR(64) FOR BIT DATA, PostalCode VARCHAR(64) FOR BIT DATA, PostalCodeLocation VARCHAR(64) FOR BIT DATA, AddressLines LONG VARCHAR FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.BasicGenericSpecif (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, IsComplete CHAR(1) FOR BIT DATA, NumberOfKeyables INTEGER, TotalWeight FLOAT, Object LONG VARCHAR FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE IBMSF.omPrices (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, IsComplete CHAR(1) FOR BIT DATA, NumberOfKeyables INTEGER, KEYABLE0SubclassID CHAR(8) FOR BIT DATA, KEYABLE0EntityHdl CHAR(24) FOR BIT DATA, KEYABLE0DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE1SubclassID CHAR(8) FOR BIT DATA, KEYABLE1EntityHdl CHAR(24) FOR BIT DATA, KEYABLE1DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE2SubclassID CHAR(8) FOR BIT DATA, KEYABLE2EntityHdl CHAR(24) FOR BIT DATA, KEYABLE2DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE3SubclassID CHAR(8) FOR BIT DATA, KEYABLE3EntityHdl CHAR(24) FOR BIT DATA, KEYABLE3DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE4SubclassID CHAR(8) FOR BIT DATA, KEYABLE4EntityHdl CHAR(24) FOR BIT DATA, KEYABLE4DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE5SubclassID CHAR(8) FOR BIT DATA, KEYABLE5EntityHdl CHAR(24) FOR BIT DATA, KEYABLE5DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE6SubclassID CHAR(8) FOR BIT DATA, KEYABLE6EntityHdl CHAR(24) FOR BIT DATA, KEYABLE6DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE7SubclassID CHAR(8) FOR BIT DATA, KEYABLE7DAVKeyable VARCHAR(60) FOR BIT DATA, KEYABLE7Date DECIMAL(19,0), KEYABLE7FromSubID CHAR(8) FOR BIT DATA, KEYABLE7FromDate DECIMAL(19,0), Ignored CHAR(1) FOR BIT DATA, KEYABLE7ToSubID CHAR(8) FOR BIT DATA, KEYABLE7ToDate DECIMAL(19,0), TotalWeight FLOAT, Object BLOB(2G) NOT LOGGED)
CREATE TABLE IBMSF.omDiscounts (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, IsComplete CHAR(1) FOR BIT DATA, NumberOfKeyables INTEGER, KEYABLE0SubclassID CHAR(8) FOR BIT DATA, KEYABLE0EntityHdl CHAR(24) FOR BIT DATA, KEYABLE0DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE1SubclassID CHAR(8) FOR BIT DATA, KEYABLE1EntityHdl CHAR(24) FOR BIT DATA, KEYABLE1DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE2SubclassID CHAR(8) FOR BIT DATA, KEYABLE2EntityHdl CHAR(24) FOR BIT DATA, KEYABLE2DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE3SubclassID CHAR(8) FOR BIT DATA, KEYABLE3EntityHdl CHAR(24) FOR BIT DATA, KEYABLE3DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE4SubclassID CHAR(8) FOR BIT DATA, KEYABLE4EntityHdl CHAR(24) FOR BIT DATA, KEYABLE4DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE5SubclassID CHAR(8) FOR BIT DATA, KEYABLE5EntityHdl CHAR(24) FOR BIT DATA, KEYABLE5DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE6SubclassID CHAR(8) FOR BIT DATA, KEYABLE6EntityHdl CHAR(24) FOR BIT DATA, KEYABLE6DNSKeyable VARCHAR(60) FOR BIT DATA, KEYABLE7SubclassID CHAR(8) FOR BIT DATA, KEYABLE7DAVKeyable VARCHAR(60) FOR BIT DATA, KEYABLE7Date DECIMAL(19,0), KEYABLE7FromSubID CHAR(8) FOR BIT DATA, KEYABLE7FromDate DECIMAL(19,0), Ignored CHAR(1) FOR BIT DATA, KEYABLE7ToSubID CHAR(8) FOR BIT DATA, KEYABLE7ToDate DECIMAL(19,0), TotalWeight FLOAT, Object BLOB(2G) NOT LOGGED)
CREATE TABLE ibmsf.BusinessPartner (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, AddressesHdl CHAR(24) FOR BIT DATA, BusinessPartnerBal CHAR(24) FOR BIT DATA, BusinessPartnerCac CHAR(24) FOR BIT DATA, BusinessPartnerCus CHAR(24) FOR BIT DATA, BusinessPartnerSha CHAR(24) FOR BIT DATA, BusinessPartnerSup CHAR(24) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, HierarchyDescripti CHAR(24) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, Internal CHAR(1) FOR BIT DATA, OwningControllerHd CHAR(24) FOR BIT DATA, ParentHdl CHAR(24) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.BPCachedBalances (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, BusinessPartnerHdl CHAR(24) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, SpecificationKeyMa LONG VARCHAR FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.BPCustSuppData (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, CreditCheckPolicyO CHAR(24) FOR BIT DATA, CreditLimit CHAR(9) FOR BIT DATA, OwnerHdl CHAR(24) FOR BIT DATA, TypeValueHdl CHAR(24) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.BPSharedData (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, AddressesHdl CHAR(24) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, HierarchyDescripti CHAR(24) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, LegalName VARCHAR(64) FOR BIT DATA, ParentHdl CHAR(24) FOR BIT DATA, PrimaryAddressHdl CHAR(24) FOR BIT DATA, RegistrationId VARCHAR(64) FOR BIT DATA, ShortName VARCHAR(64) FOR BIT DATA, Sundry CHAR(1) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA, SharingBusinessPar LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.BPTypeValue (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, BusinessPartnerTyp CHAR(24) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.Company (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, SubclassID CHAR(8) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, LegalName VARCHAR(64) FOR BIT DATA, Locale VARCHAR(64) FOR BIT DATA, OfficialRegistrati VARCHAR(64) FOR BIT DATA, ParentCompanyHdl CHAR(24) FOR BIT DATA, ShortName VARCHAR(64) FOR BIT DATA, UseableAsContextCo CHAR(1) FOR BIT DATA, Addresses LONG VARCHAR FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA, Subcompanies LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.Country (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, CountryCode VARCHAR(64) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.CredChkPolOrg (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, CreditCheckPolicie LONG VARCHAR FOR BIT DATA, DefaultCreditCheck LONG VARCHAR FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.Currency (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, CurrencyCode VARCHAR(64) FOR BIT DATA, CurrencyName VARCHAR(64) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, FractionName VARCHAR(64) FOR BIT DATA, RatioOfFractionToC CHAR(9) FOR BIT DATA, ShowDecimalsOnExte CHAR(1) FOR BIT DATA, ShowDecimalsOnInte CHAR(1) FOR BIT DATA, SmallestUnit CHAR(9) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.Days (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, DefaultDayNumber INTEGER, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, IsShared CHAR(1) FOR BIT DATA, IsWorkingDay CHAR(1) FOR BIT DATA, NonDefaultDaysHdl CHAR(24) FOR BIT DATA, ParentDayHdl CHAR(24) FOR BIT DATA, DayHdl CHAR(24) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA, WorkPeriods LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.ERTDateBased (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, ExchangeRatesDateB CHAR(24) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.HierarchyInstantia (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, AssociatedHierarch CHAR(24) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, ExtensionArraySize INTEGER, NumberOfSecondaryE INTEGER, Extensions LONG VARCHAR FOR BIT DATA, HiddenMethods LONG VARCHAR FOR BIT DATA, PrimaryExtension LONG VARCHAR FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.HLIBase (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, ChildHierarchyLeve CHAR(24) FOR BIT DATA, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE TABLE ibmsf.HLILCMI (ObjectID CHAR(16) FOR BIT DATA NOT NULL , PRIMARY KEY( ObjectID), PartitionID CHAR(16) FOR BIT DATA, ChildHierarchicalE CHAR(24) FOR BIT DATA, ChildrenAreOwned CHAR(1) FOR BIT DATA, ConditionsChangedF DECIMAL(19,0), Connected CHAR(1) FOR BIT DATA, Id VARCHAR(64) FOR BIT DATA, Weight INTEGER, DescriptiveInform1 CHAR(24) FOR BIT DATA, DescriptiveInforma CHAR(1) FOR BIT DATA, ExtensionArraySize INTEGER, HierarchyLevelInfo CHAR(24) FOR BIT DATA, Condition VARCHAR(64) FOR BIT DATA, SortValue DECIMAL(19,0), LifeCycleHdl CHAR(24) FOR BIT DATA, NumberOfSecondaryE INTEGER, ParentHierarchical CHAR(24) FOR BIT DATA, Conditions LONG VARCHAR FOR BIT DATA, Extensions LONG VARCHAR FOR BIT DATA, HiddenMethods LONG VARCHAR FOR BIT DATA, PrimaryExtension LONG VARCHAR FOR BIT DATA, Properties LONG VARCHAR FOR BIT DATA)
CREATE INDEX ibmsf.SFINDEX0 on ibmsf.BPSharedData (ID)
CREATE INDEX ibmsf.SFINDEX1 on ibmsf.BPTypeValue (ID)
CREATE INDEX ibmsf.SFINDEX2 on ibmsf.BusinessPartner (ID)
CREATE INDEX ibmsf.SFINDEX3 on ibmsf.Company (ID)
CREATE INDEX ibmsf.SFINDEX4 on ibmsf.Country (CountryCode)
CREATE INDEX ibmsf.SFINDEX5 on ibmsf.CredChkPolOrg (ID)
CREATE INDEX ibmsf.SFINDEX6 on ibmsf.Currency (CurrencyCode)
CREATE INDEX ibmsf.SFINDEX7 on ibmsf.ERTDateBased (ID)
CREATE INDEX ibmsf.SFINDEX8 on ibmsf.FutReceptTypVal (ID)
CREATE INDEX ibmsf.SFINDEX9 on ibmsf.MannerOfTransport (ID)
CREATE INDEX ibmsf.SFINDEX10 on ibmsf.omPrices (KEYABLE2ENTITYHDL,KEYABLE2SUBCLASSID)
CREATE INDEX ibmsf.SFINDEX11 on ibmsf.OrderCltrType (ID)
CREATE INDEX ibmsf.SFINDEX12 on ibmsf.OrderPartner (ID)
CREATE INDEX ibmsf.SFINDEX13 on ibmsf.OrdPartDiscGrp (ID)
CREATE INDEX ibmsf.SFINDEX14 on ibmsf.OrdPartPriceGrp (ID)
CREATE INDEX ibmsf.SFINDEX15 on ibmsf.OrderProduct (ID)
CREATE INDEX ibmsf.SFINDEX16 on ibmsf.OrdProdDiscGrp (ID)
CREATE INDEX ibmsf.SFINDEX17 on ibmsf.OrdProdPricGrp (ID)
CREATE INDEX ibmsf.SFINDEX18 on ibmsf.OrdProdUnitLink (PARTITIONID,ID)
CREATE INDEX ibmsf.SFINDEX19 on ibmsf.PaymentMethod (ID)
CREATE INDEX ibmsf.SFINDEX20 on ibmsf.PaymentTerms (ID)
CREATE INDEX ibmsf.SFINDEX21 on ibmsf.ProcessTokenValue (ID)
CREATE INDEX ibmsf.SFINDEX22 on ibmsf.ProdWHouseLink (PARTITIONID,ID)
CREATE INDEX ibmsf.SFINDEX23 on ibmsf.Product (ID)
CREATE INDEX ibmsf.SFINDEX24 on ibmsf.ProductUnitLink (PARTITIONID,ID)
CREATE INDEX ibmsf.SFINDEX25 on ibmsf.ReservTypVal (ID)
CREATE INDEX ibmsf.SFINDEX26 on ibmsf.SharedWarehouseAtt (ID)
CREATE INDEX ibmsf.SFINDEX27 on ibmsf.TermsOfDelivery (ID)
CREATE INDEX ibmsf.SFINDEX28 on ibmsf.UnitCategory (CategoryName)
CREATE INDEX ibmsf.SFINDEX29 on ibmsf.UnitOfMeasure (UnitId)
CREATE INDEX ibmsf.SFINDEX30 on ibmsf.Warehouse (ID)
CREATE INDEX ibmsf.SFINDEX31 on ibmsf.OrderHeader (ExternalOrderNum)
CREATE INDEX ibmsf.SFINDEX32 on ibmsf.OrderHeader (OrderPartnerID)
CREATE INDEX ibmsf.SFINDEX33 on ibmsf.OrderHeader (ExternalStatus)
CREATE INDEX ibmsf.SFINDEX34 on ibmsf.OrderHeader (InternalStatus)
CREATE INDEX ibmsf.SFINDEX35 on ibmsf.OrderHeader (SalesOrg)
CREATE INDEX ibmsf.SFINDEX36 on ibmsf.OrderHeader (DocumentTime)
CREATE INDEX ibmsf.SFINDEX37 on ibmsf.OrderPriceDetail (OrderProductId)
CREATE INDEX ibmsf.SFINDEX38 on ibmsf.OrderPriceDetail (ReqDeliveryTime)